<div class="alert alert-danger" role="alert" *ngIf="error">
  {{ error }}
</div>

<div class="alert alert-success" role="alert" *ngIf="success">
  {{ success }}
</div>
<table
  *ngIf="transaction"
  class=" table table-dark table-stripped table-hover  "
>
  <tr>
    <td>
      Id
    </td>
    <td>
      {{ transaction.id }}
    </td>
  </tr>
  <tr>
    <td>
      Card
    </td>
    <td>
      <span *ngIf="transaction.card">
        **** **** ****
        {{ transaction.card.cardNumber.toString() | slice: -4 }}
        <button class="btn btn- primary" (click)="changeCard(transaction)">
          use another card
        </button>
      </span>
      <span *ngIf="!transaction.card">
        <select
          (change)="onCardSelect($event.target.value)"
          class="form-control"
        >
          <option>Select a card</option>
          <option *ngFor="let card of cards" value="{{ card.id }}">
            {{ card.cardNumber }}
          </option>
        </select>
      </span>
    </td>
  </tr>
  <tr>
    <td>
      Amount
    </td>
    <td>
      {{ transaction.amount | currency }}
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <button
        class="btn btn-info"
        [disabled]="!transaction.card"
        (click)="pay()"
      >
        Pay
      </button>
      &nbsp;
      <button class="btn btn-danger" (click)="reject()">Reject</button> &nbsp;
      <button class="btn btn-warning" (click)="onCancel()">Cancel</button>
    </td>
  </tr>
</table>

<table
  *ngIf="transactions.length > 0"
  class="table   table-hover table-dark table-stripped"
>
  <thead>
    <tr>
      <th>Merchant</th>
      <tH>Amount</tH>
      <th>Date</th>
      <th>Status</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tr *ngFor="let t of transactions">
    <td>{{ t.merchant.firstName }} {{ t.merchant.lastName }}</td>
    <td>{{ t.amount | currency }}</td>
    <td>
      {{ t.createdAt | date }}
    </td>
    <td>{{ t.status }}</td>
    <td>
      <span *ngIf="t.status == 'Unidentified'" (click)="setTransaction(t)">
        Resolve
      </span>
    </td>
  </tr>
</table>

<div *ngIf="transactions.length == 0">You have no transactions</div>
